//
//  N80View.h
//  N80
//
//  Created by Pecos on 2012/08/25.
//  Copyright (c) 2012年 H.Kanemoto. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "n80em.h"
#include <OpenGL/gl.h>

@interface N80View : NSOpenGLView {
	GLuint		backTexture;
	CGImageRef	tile;
	float		width_scale;
}
@property (unsafe_unretained) n80em *n80;

- (id)initWithFrame:(NSRect)frameRect pixelFormat:(NSOpenGLPixelFormat*)format;
- (void)awakeFromNib;
- (void)drawRect:(NSRect)rect;
- (void)reshape;
- (void)drawScene;
@end
