/**==========================================================================

	PC-8001 Device Emulator for Win32 Ver 1.10
	Copyright (C)1993-2010 H.Kanemoto

	This is a free software. You may copy or distribute
	it without any permissions. But there are NO WARRANTY
	of use. Entire risk of use is with you.

	External assembler functions for IBM-PC with VC++ 5.0
	last modified  Apr,4,1998.

;==========================================================================*/
#include "pc-8001.h"
#ifdef _MSCVER_
#include <windows.h>
#endif
#ifdef __cplusplus
extern "C"
{
#endif
#define export
/**--------------------------------------------------------------------------
 **		ASM Modules
 **------------------------------------------------------------------------*/
export void _n80_renew_vrtc()
{
	if (++n80device.vrtc._vrtc_blink >= 30) {
		n80device.vrtc._vrtc_blink = 0;
		n80device.cursor._n80_cur_blink ^= 1;
		if (n80device.cursor._n80_cur_enable)
			n80device.attr.set(n80device.cursor._n80_cur_row, 1);
	}
}

export BYTE _n80_poll_vrtc(BYTE i40)
{
	if (n80device.vrtc._vrtc_flag)
		return i40 |= 0x20;
	else
		return i40 &= 0xdf;
}

#ifdef __cplusplus
}	// extern "C"
#endif
